Page MenuHomePhabricator

Echo should provide notifications about your revision being approved or rejected on wikis with FlaggedRevs enabled
Open, HighPublic

Description

Echo should provide notifications about your revision being "sighted" on wikis with FlaggedRevs enabled. I don't think it does now, only about your revision being "patrolled" using the built-in patrolling functionality in MW.

This would be a rather important and very useful feature; one of the wikis with FlaggedRevs is the Polish Wikipedia, which is getting Echo on August 20 per T53251. (I wouldn't consider this a deployment blocker, but it would be *really* nice to have it by then.)


See Also:
T53251: Install Notifications (Echo) on the Polish Wikipedia

Details

Reference
bz52510
Related Gerrit Patches:
mediawiki/extensions/FlaggedRevs : masterNotify users of reviews, update revert notification

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:50 AM
bzimport added a project: Notifications.
bzimport set Reference to bz52510.
bzimport added a subscriber: Unknown Object (MLST).
matmarex created this task.Aug 4 2013, 12:25 AM

Change 62193 had a related patch set uploaded by Matmarex:
Fire Echo event when revision is rejected

https://gerrit.wikimedia.org/r/62193

Change 79775 had a related patch set uploaded by Matmarex:
Fire Echo event when revision is approved

https://gerrit.wikimedia.org/r/79775

(The first patch it actually Krenair's, I just linked the bug.)

Change 62193 merged by Aaron Schulz:
Fire Echo event when revision is rejected

https://gerrit.wikimedia.org/r/62193

Change 79775 abandoned by Matmarex:
Fire Echo event when revision is approved

Reason:
Somebody who knows at least one of the extensions should implement this. I give up.

https://gerrit.wikimedia.org/r/79775

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/229

Change 79775 restored by Legoktm:
Fire Echo event when revision is approved

https://gerrit.wikimedia.org/r/79775

Change 79775 abandoned by Bartosz Dziewoński:
Fire Echo event when revision is approved

Reason:
I'd love it if someone revived this, but I won't anytime soon. Please resubmit as a new changeset in that case.

https://gerrit.wikimedia.org/r/79775

What is the plan ahead here? Is legoktm still the correct assignee, and does somebody plan to work on this soon (as it was set to high priority and ASSIGNED status)?
A status update would be welcome.

Note that there is related discussion in https://meta.wikimedia.org/wiki/Talk:Flagged_Revisions#Ignored_bugs_on_FlaggedRevs_for_stats.2C_.22gesichtet.22-notifications

Sorry, nope I don't plan on working on this anytime soon. https://gerrit.wikimedia.org/r/79775 is a good place for someone to start if they want to, but I just don't have the time.

WTM added a subscriber: WTM.Aug 1 2015, 1:20 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 1 2015, 1:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Luke081515 added a subscriber: Luke081515.
Ijon awarded a token.Oct 23 2015, 7:47 PM
jmatazzoni moved this task from High Priority to Backlog on the Notifications board.
Nemo_bis rescinded a token.Jul 16 2016, 8:00 AM

Change 316410 had a related patch set uploaded (by Cenarium):
Notify users of reviews

https://gerrit.wikimedia.org/r/316410

This is what the notification implemented by Cenarium's patch looks like:

Two issues I see with this (I've left comments about these on the Gerrit patch too):

  • "Barack Obama" should be bolded, since it's a page name
  • The notification should say "edit" or "edits" depending on whether one or multiple edits were approved

Two issues I see with this (I've left comments about these on the Gerrit patch too):

  • "Barack Obama" should be bolded, since it's a page name
  • The notification should say "edit" or "edits" depending on whether one or multiple edits were approved

A couple more aspects to consider based on the design guidelines for notifications:

  • Remove the "by Admin" part from the message, since the "Admin" user is already captured in the first action. The notification message would be more clear and easier to scan: "Your edits on Barack Obama have been approved."
  • The "Help" action seems too generic. If there is a specific kind of information we expect people to look for, it would be good to make it more specific (e.g., "Why is approval needed?", "How review works", etc.). I don't have much context on the purpose for this action and I don't know where the link page points to currently, so take the suggestion with a grain of salt.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptFeb 23 2017, 10:17 AM
Cirdan added a subscriber: Cirdan.Apr 17 2017, 9:20 PM
Conny added a subscriber: Conny.Apr 20 2017, 4:43 PM
Tbayer added a comment.EditedNov 11 2018, 6:04 PM

I nominated this for the 2019 community wishlist survey (as a volunteer), although it remains to be seen whether it fits the scope.

Restricted Application added a project: Growth-Team. · View Herald TranscriptNov 11 2018, 6:04 PM